/**
 * Configure polars; offers options for table formatting and more.
 */
export interface Config {
    /** Use utf8 characters to print tables */
    setUtf8Tables(): Config;
    /** Use ascii characters to print tables */
    setAsciiTables(): Config;
    /** Set the number of character used to draw the table */
    setTblWidthChars(width: number): Config;
    /** Set the number of rows used to print tables */
    setTblRows(n: number): Config;
    /** Set the number of columns used to print tables */
    setTblCols(n: number): Config;
    /** Turn on the global string cache */
    setGlobalStringCache(): Config;
    /** Turn off the global string cache */
    unsetGlobalStringCache(): Config;
}
/**
 * @ignore
 */
export declare const Config: Config;
