import { DataType } from "./datatype";
/**
 * A field is a name and a datatype.
 */
export interface Field {
    name: string;
    dtype: DataType;
}
export declare class Field implements Field {
    name: string;
    dtype: DataType;
    constructor(name: string, dtype: DataType);
    toString(): string;
    toJSON(): {
        name: string;
        dtype: DataType;
    };
}
export declare namespace Field {
    function from(name: string, dtype: DataType): Field;
    function from([string, DataType]: [any, any]): Field;
    function from(obj: {
        name: string;
        dtype: DataType;
    }): Field;
}
