import { DataType, TimeUnit } from "./datatype";
export { DataType, TimeUnit };
export { Field } from "./field";
/** @ignore */
export type TypedArray = Int8Array | Int16Array | Int32Array | BigInt64Array | Uint8Array | Uint16Array | Uint32Array | BigInt64Array | Float32Array | Float64Array;
/**
 *  @ignore
 */
export type Optional<T> = T | undefined | null;
/**
 * @ignore
 */
export type JsDataFrame = any;
export type NullValues = string | Array<string> | Record<string, string>;
/**
 * @ignore
 */
export declare const DTYPE_TO_FFINAME: {
    Int8: string;
    Int16: string;
    Int32: string;
    Int64: string;
    UInt8: string;
    UInt16: string;
    UInt32: string;
    UInt64: string;
    Float32: string;
    Float64: string;
    Bool: string;
    Utf8: string;
    List: string;
    Date: string;
    Datetime: string;
    Time: string;
    Object: string;
    Categorical: string;
    Struct: string;
};
/** @ignore */
export declare const polarsTypeToConstructor: (dtype: DataType) => CallableFunction;
