"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExprDateTimeFunctions = void 0;
const expr_1 = require("../expr");
const ExprDateTimeFunctions = (_expr) => {
    const wrap = (method, ...args) => {
        return (0, expr_1._Expr)(_expr[method](...args));
    };
    const wrapNullArgs = (method) => () => wrap(method);
    return {
        day: wrapNullArgs("day"),
        hour: wrapNullArgs("hour"),
        minute: wrapNullArgs("minute"),
        month: wrapNullArgs("month"),
        nanosecond: wrapNullArgs("nanosecond"),
        ordinalDay: wrapNullArgs("ordinalDay"),
        second: wrapNullArgs("second"),
        strftime: (fmt) => wrap("strftime", fmt),
        timestamp: wrapNullArgs("timestamp"),
        week: wrapNullArgs("week"),
        weekday: wrapNullArgs("weekday"),
        year: wrapNullArgs("year"),
    };
};
exports.ExprDateTimeFunctions = ExprDateTimeFunctions;
