import { Expr } from "./expr";
import { LazyDataFrame } from "./dataframe";
/** @ignore */
export declare const _LazyGroupBy: (_lgb: any) => LazyGroupBy;
/**
 * LazyGroupBy
 * @category lazy
 */
export interface LazyGroupBy {
    /**
     * Aggregate the groupby.
     */
    agg(...aggs: Expr[]): LazyDataFrame;
    /**
     * Return the first n rows of the groupby.
     * @param n number of rows to return
     */
    head(n?: number): LazyDataFrame;
    /**
     * Return the last n rows of the groupby.
     * @param n number of rows to return
     */
    tail(n?: number): LazyDataFrame;
}
