"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeriesDateFunctions = void 0;
const _1 = require(".");
const SeriesDateFunctions = (_s) => {
    const wrap = (method, ...args) => {
        return (0, _1._Series)(_s[method](...args));
    };
    const wrapNullArgs = (method) => () => wrap(method);
    return {
        day: wrapNullArgs("day"),
        hour: wrapNullArgs("hour"),
        minute: wrapNullArgs("minute"),
        month: wrapNullArgs("month"),
        nanosecond: wrapNullArgs("nanosecond"),
        ordinalDay: wrapNullArgs("ordinalDay"),
        second: wrapNullArgs("second"),
        strftime: (fmt) => wrap("strftime", fmt),
        timestamp: wrapNullArgs("timestamp"),
        week: wrapNullArgs("week"),
        weekday: wrapNullArgs("weekday"),
        year: wrapNullArgs("year"),
    };
};
exports.SeriesDateFunctions = SeriesDateFunctions;
