"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeriesStructFunctions = void 0;
const polars_internal_1 = __importDefault(require("../internals/polars_internal"));
const dataframe_1 = require("../dataframe");
const expr_1 = require("../lazy/expr");
const SeriesStructFunctions = (_s) => {
    return {
        get fields() {
            return _s.structFields();
        },
        toFrame() {
            return (0, dataframe_1._DataFrame)(_s.structToFrame());
        },
        field(name) {
            return (0, dataframe_1.DataFrame)({})
                .select((0, expr_1._Expr)(polars_internal_1.default.lit(_s).structFieldByName(name)))
                .toSeries();
        },
        renameFields(names) {
            return (0, dataframe_1.DataFrame)({})
                .select((0, expr_1._Expr)(polars_internal_1.default.lit(_s).structRenameFields(names)))
                .toSeries();
        },
    };
};
exports.SeriesStructFunctions = SeriesStructFunctions;
